Package org.apache.tomcat.websocket

## Enum TransformationResult

- java.lang.Object
- - java.lang.Enum<TransformationResult>
  - - org.apache.tomcat.websocket.TransformationResult

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TransformationResult>`

    public enum TransformationResult
    extends java.lang.Enum<TransformationResult>

### Enum Constant Summary

Enum Constants
`END_OF_FRAME` The end of the WebSocket frame was reached and all the data from that frame processed into the provided destination buffer.
`OVERFLOW` The provided destination buffer was filled before all of the available data from the WebSocket frame could be processed.
`UNDERFLOW` The end of the available data was reached before the WebSocket frame was completely read.

### Method Summary

All Methods Static Methods Concrete Methods
`static TransformationResult` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransformationResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNDERFLOW

    public static final TransformationResult UNDERFLOW

The end of the available data was reached before the WebSocket frame was completely read.

#### OVERFLOW

    public static final TransformationResult OVERFLOW

The provided destination buffer was filled before all of the available data from the WebSocket frame could be processed.

#### END_OF_FRAME

    public static final TransformationResult END_OF_FRAME

The end of the WebSocket frame was reached and all the data from that frame processed into the provided destination buffer.

### Method Detail

#### values

    public static TransformationResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TransformationResult c : TransformationResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TransformationResult valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null